package cnpc;

import cnpc.engine.*;

public interface CNPC_UiController
{
	public void initialize(CN_GameState initialState, String variant, String[] playerNames, String[] playerPersonalities);
	public void renderGameState(CN_GameState state, boolean computerPlayer);
	public CN_InputMessage getInput();
	public void handleInputMessageException(CN_InputMessageException e);
	public int getMaxSupportedPlayers();
	public void setLookAndFeel();
	public int getTitleBarHeight();
	public void endOfUniverse(CN_GameState gameState, int playerNumber);
	public void victory(CN_GameState gameState, int playerNumber);
	public boolean newGameQuery();
	public boolean getUserSetNewGame();
	public boolean getEndGameFinished();
	public void kill();
}
