package cnpc.ai;


class AI_Artifact extends AI_PlayCard
{
	public final String authClass;
	public final int authenticity;


	public AI_Artifact(String identity_in, String cardName_in)
	{
		this(identity_in, cardName_in, null, AI_Constants.NONEXISTENT_AUTHENTICITY);
	}

	public AI_Artifact(String identity_in, String cardName_in, String authClass_in, int authenticity_in)
	{
		super(identity_in, cardName_in);
		authClass = authClass_in;
		authenticity = authenticity_in;
	}
}


class AI_Patch extends AI_PlayCard
{
	public AI_Patch(String identity_in, String cardName_in)
	{
		super(identity_in, cardName_in);
	}
}


class AI_Inverter extends AI_PlayCard
{
	public AI_Inverter(String identity_in, String cardName_in)
	{
		super(identity_in, cardName_in);
	}
}


class AI_Action extends AI_PlayCard
{
	public AI_Action(String identity_in, String cardName_in)
	{
		super(identity_in, cardName_in);
	}
}


class AI_Timewarp extends AI_PlayCard
{
	public AI_Timewarp(String identity_in, String cardName_in)
	{
		super(identity_in, cardName_in);
	}
}

