package cnpc.engine;

import java.util.*;

class CN_BascomSpecifier
{
	public final int commandIndex;
	public final CN_PlayCard source;

	public final ArrayList<CN_Player> playerParams;
	public final ArrayList<CN_PlayCard> playCardParams;
	public final ArrayList<String> stringParams;

	public final boolean isStateChanger;



	public CN_BascomSpecifier(int commandIndex_in, CN_PlayCard source_in)
	{
		commandIndex = commandIndex_in;
		source = source_in;

		playerParams = new ArrayList<CN_Player>();
		playCardParams = new ArrayList<CN_PlayCard>();
		stringParams = new ArrayList<String>();

		if
		(
			//(commandIndex == CN_Constants.BASCOM_SPECIAL_LOAD_PARAMETER_LITERAL)||
			//(commandIndex == CN_Constants.BASCOM_SPECIAL_LOAD_PARAMETER_HASH)||
			//(commandIndex == CN_Constants.BASCOM_SPECIAL_REMOVE_PARAMETER)||
			(commandIndex == CN_Constants.BASCOM_GET_ARTIFACT_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_GET_HAND_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_GET_LINCHPIN_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_GET_RIPPLEPOINT_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_GET_ID_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_GET_MISSION_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_GET_CARD_PLAY)||
			(commandIndex == CN_Constants.BASCOM_GET_DIRECTION_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_GET_DECK_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_GET_DISCARDS_SELECTION)||
			(commandIndex == CN_Constants.BASCOM_END_TURN)
		)
		{
			isStateChanger = true;
		}
		else
		{
			isStateChanger = false;
		}


	}





	public class BascomParamType
	{
		public static final int PLAYCARD = 1;
		public static final int PLAYER = 2;
		public static final int STRING = 3;
	}

}
