package cnpc.engine;

public class CN_InputMessage
{
	public final MessageType messageType;
	public final Integer cardNumber;
	public final Direction direction;
	
	public final String aiMessage;

	public enum MessageType{PLAY_CARD_CLICK, TIMELINE_CARD_CLICK, ID_CARD_SELECTION, MISSION_CARD_SELECTION, DISCARD_CLICK, DISCARD_TWO_CLICK, DIRECTION_SELECTION, CANCEL, UNDO_TURN, FINISH_TURN, BEGIN_TURN};
	public enum Direction{LEFT, RIGHT};

	public CN_InputMessage(MessageType messageType_in, Integer cardNumber_in, Direction direction_in)
	{
		this(messageType_in, cardNumber_in, direction_in, null);
	}
	
	public CN_InputMessage(MessageType messageType_in, Integer cardNumber_in, Direction direction_in, String aiMessage_in)
	{
		messageType = messageType_in;
		cardNumber = cardNumber_in;
		direction = direction_in;
		aiMessage = aiMessage_in;
	}


}
