package cnpc.ui;

import javax.swing.*;

class UI_TimelineCardPanel extends UI_CardPanel
{

	public UI_TimelineCardPanel(UI_GameCard representedCard_in, boolean isFlipped_in)
	{
		this(representedCard_in, isFlipped_in, false, false);
	}


	public UI_TimelineCardPanel(UI_GameCard representedCard_in, boolean isFlipped_in, boolean isXedOut, boolean isUnstable)
	{
		super(representedCard_in, isFlipped_in, isXedOut, isUnstable);

		SpringLayout panelLayout;

		panelLayout = new SpringLayout();
		setLayout(panelLayout);
		setPreferredSize(UI_Constants.TIMELINE_CARD_DIMENSION);

		setOpaque(true);

		panelLayout.putConstraint(SpringLayout.WEST, imageLabel, UI_Constants.TIMELINE_CARD_BORDER_WIDTH, SpringLayout.WEST, this);
		panelLayout.putConstraint(SpringLayout.NORTH, imageLabel, UI_Constants.TIMELINE_CARD_BORDER_WIDTH, SpringLayout.NORTH, this);

		panelLayout.putConstraint(SpringLayout.WEST, xLabel, UI_Constants.TIMELINE_CARD_BORDER_WIDTH, SpringLayout.WEST, this);
		panelLayout.putConstraint(SpringLayout.NORTH, xLabel, UI_Constants.TIMELINE_CARD_BORDER_WIDTH, SpringLayout.NORTH, this);

	}

	public void setMarked(boolean isMarked)
	{
		if(isMarked)
		{
			setBackground(UI_Constants.TIMELINE_CARD_BG_COLOR);
		}
		else
		{
			setBackground(null);
		}
	}
}
