package cnpc;

import cnpc.engine.*;

public interface CNPC_AiController
{
	public void initialize(CN_GameState initialState, String variant, String[] playerPersonalityChoices) throws CNPC_UiKillingException;
	public void setVariant(String variant) throws CNPC_UiKillingException;
	public String[] getPersonalitiesForCurrentVariant();
	public String getWeightedRandomPersonality();
	public String getRandomPersonality();
	public CN_InputMessage processGameState(CN_GameState gameState) throws CNPC_UiKillingException;
	public CN_InputMessage tryAgain(CN_GameState gameState) throws CNPC_UiKillingException;
}
